unit historyWin;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls;

type
  ThistoryFrm = class(TForm)
    StatusBar1: TStatusBar;
    lvHistory: TListView;
    procedure lvHistorySelectItem(Sender: TObject; Item: TListItem;
      Selected: Boolean);
    procedure FormActivate(Sender: TObject);
    procedure lvHistoryKeyPress(Sender: TObject; var Key: Char);
  private
  public
  end;

var
  historyFrm: ThistoryFrm;

implementation

uses mainWin;

{$R *.dfm}

procedure ThistoryFrm.FormActivate(Sender: TObject);
begin
  if Visible and lvHistory.CanFocus then lvHistory.SetFocus;
end;

procedure ThistoryFrm.lvHistoryKeyPress(Sender: TObject; var Key: Char);
begin
  if Key in [chr(VK_ESCAPE), chr(VK_RETURN)] then
    Close;
end;

procedure ThistoryFrm.lvHistorySelectItem(Sender: TObject; Item: TListItem;
  Selected: Boolean);
begin
  mainFrm.Editor.GotoHistoryVersion(mainFrm.Editor.TextFile.HistoryManager.FirstItem + Item.Index);
end;

end.
